'use strict';

const Service = require('egg').Service;
const moment = require('moment');
class ImpertsService extends Service {
  constructor(ctx) {
    super(ctx);
    this.config = this.app.config;
    this.userModel = this.ctx.model.User;
    this.vipModel = this.ctx.model.Vip;
  }
  // 用户导入
  async importuser({ item, _this }) {
    const filed = _this.config.filed.user;
    const data = {};
    for (const i in item) {
      const val = filed.find(e => e[i]);
      data[val[i]] = item[i];
    }
    const res = await _this.ctx.model.User.findOne({ phone: data.phone });
    if (res) return;
    await _this.ctx.model.User.create({ ...data });
  }
  // vip导入
  async importvip({ item, _this }) {
    const filed = _this.config.filed.vip;
    const data = {};
    for (const i in item) {
      const val = filed.find(e => e[i]);
      data[val[i]] = item[i];
    }
    const startTime = moment().valueOf();
    const endTime = moment().add(1, 'Y').valueOf();
    const res = await _this.ctx.model.Vip.findOne({ phone: data.phone });
    if (res) return;
    await _this.ctx.model.Vip.create({ ...data, vipTab: 'svip', status: '0', startTime, endTime });
  }
}

module.exports = ImpertsService;
