/* eslint valid-jsdoc: "off" */

'use strict';

/**
 * @param {Egg.EggAppInfo} appInfo app info
 */
const { sep } = require('path');
const user = require('../app/importFiled/user');
const vip = require('../app/importFiled/vip');
const exportuser = require('../app/exportFiled/user');
const exportvip = require('../app/exportFiled/vip');
module.exports = appInfo => {
  /**
   * built-in config
   * @type {Egg.EggAppConfig}
   **/
  const config = exports = {};

  // use for cookie sign key, should change to your own and keep security
  config.keys = appInfo.name + '_1635902541751_9477';

  // add your middleware config here
  config.middleware = [];
  // add your user config here
  const userConfig = {
    // myAppName: 'egg',
  };
  // 安全配置
  config.security = {
    csrf: {
      // ignoreJSON: true, // 默认为 false，当设置为 true 时，将会放过所有 content-type 为 `application/json` 的请求
      enable: false,
    },
  };
  config.cluster = {
    listen: {
      port: 9016,
    },
  };
  // 数据库配置
  config.mongoose = {
    url: 'mongodb://127.0.0.1/Microservices',
    options: {
      // user: 'root',
      // pass: 'cms@cc-lotus',
      // authSource: 'admin',
      // useNewUrlParser: true,
      // useCreateIndex: true,
    },
  };
  // 限制文件大小
  config.multipart = {
    mode: 'file',
    fileSize: '50mb',
    fileExtensions: [ '.zip', '.xlsx', '.xls' ], // 新增允许接收的文件后缀
    // whitelist: [], // 覆盖允许接收的文件后缀
  };
  config.filed = { user, vip };
  config.exportFiled = { exportuser, exportvip };
  config.exportsPath = `${appInfo.baseDir}${sep}exports`;
  config.templatePath = `${appInfo.baseDir}${sep}templates`;
  config.logger = {
    level: 'DEBUG',
  };
  return {
    ...config,
    ...userConfig,
  };
};
