'use strict';

/**
 * @param {Egg.Application} app - egg application
 */
module.exports = app => {
  const { router, controller } = app;
  // 微信api
  // 获取openid
  router.get('/api/wx/wxapi/get_openid', controller.wxapi.get_openid);
  // 获取用户信息
  router.get('/api/wx/wxapi/get_userInfo', controller.wxapi.get_userInfo);
  // 消息模板下发
  router.post('/api/wx/wxapi/pushMould', controller.wxapi.pushMould);

  // 小程序api
  // 获取openid
  router.get('/api/wx/appletapi/get_openid', controller.appletapi.get_openid);
  // 获取手机号
  router.get('/api/wx/appletapi/get_phone', controller.appletapi.get_phone);

  // 支付api
  // 预支付交易单
  router.post('/api/wx/payapi/book_order', controller.payapi.book_order);
  // 支付
  router.post('/api/wx/payapi/pay', controller.payapi.pay);
  // 关闭订单
  router.post('/api/wx/payapi/orderClose', controller.payapi.orderClose);
  // 取消订单
  router.post('/api/wx/payapi/refund', controller.payapi.refund);
};
